#!/usr/bin/env python

# Script for loading configurations from config.yml

import os.path
import yaml
import sys
import argparse

parser = argparse.ArgumentParser()
parser.add_argument("-f","--configFile", type=str, help="The config file path, yaml based", required=True)
parser.add_argument("-k","--key", type=str, help="The key to pull its value", required=True)

args = parser.parse_args()

conf_path=args.configFile
conf_key=args.key

if not os.path.exists(conf_path):
    sys.exit(1)

with open(conf_path, 'r') as stream:
    try:
        yml = yaml.load(stream)
    except yaml.YAMLError as exc:
        print(exc)

# Store values in local variables
conf_value = yml [conf_key]

print (conf_value)
